/**
* Theme login CSS
* GFT - 2025
*/

:root {
    --polynesian-blue: #124b82;
    --polynesian-blue-rgb: 18, 75, 130;    
    --sia-color-2: #aecce5;
    --sia-secondary-color-6: #ee8434;               
}

/* Reset */

::placeholder, ::-ms-input-placeholder {
    font-family: 'Roboto', sans-serif!important;
    font-size: 15.4px!important;
    color: var(--polynesian-blue)!important;
    opacity: 1;    
    font-weight: 300!important;
}
option {
    font-family: 'Roboto', sans-serif!important;
    font-weight: 300!important;
}
.acf-switch.-on{
    background: var(--polynesian-blue)!important;
    border: 1px solid var(--polynesian-blue)!important;
}
.login label,
.login .notice,
#registerform h2,
.acf-field-692eabfa67bd3{                    
    display: none!important;
}
#login_error {
    display: block!important;
    position: absolute;
    border: none!important;
    border: 1px solid #f2f2f2;
    width: 360px;    
    border-radius: 6px;
    bottom: 15%;
    left: 50%;
    transform: translate(-50%, -50%);    
    z-index: 1000;
    /*background-color: var(--sia-secondary-color-6)!important;*/
}
.notice-error p strong, .login-error-list li strong{
    color: red;
}
#login-error-list li {
    color: var(--polynesian-blue)!important;
}
/* ACF */
.acf-true-false label, .acf-checkbox label{
    display: inherit!important;
}
.acf-field .message {
    background: transparent!important;
    border: none!important;
    box-shadow: none!important;
    float: right;
    padding: 0px 10px;
    margin-top: -1px;    
    width: 63%;
    line-height: 1.4;
}
.acf-switch {
    float: left;
}
.acf-field-6924bdba9f330 a {
    color: #fff!important;
}

/**/    

body.login-action-login,
body.login-action-checkmail,
body.login-action-lostpassword{
    height: 100vh;
}
body.login-action-login {
}   
body.login-action-register {
    /*height: inherit; */
}
body.login {    
    position: relative;
    font-family: 'Twemoji Country Flags', 'Roboto', sans-serif!important;
    font-weight: 400!important;                  
    background-size: cover!important;
    background-position: center!important;
    background-repeat: no-repeat!important;
}
body.login h1 {
    margin-bottom: 30px;
}
.login p#nav{
    margin-top: 5px!important;
}
.login p#backtoblog {
    margin: 10px auto 30px;
}
.login p#nav a,
.login p#backtoblog a,
a.privacy-policy-link,
#reg_passmail,
.acf-field-message,
.acf-label .description,
.acf-field .message,
.form-message{
    color: #fff!important;
    font-size: 13.4px!important;                
}
.form-message {
    display: none;
    width: 100%;
    text-align: center;
}
.login-action-register .form-message{
    display: inline-block;
}
.login form {
    padding-top: 7px!important;
    /*border-radius: 0 0 6px 6px;                    */
    /*border: 1px solid rgb(18, 75, 130)!important;
    border-top: 10px solid rgb(18, 75, 130)!important;*/
    border: none!important;
    /*box-shadow: 0 1px 3px rgba(0, 0, 0, .25)!important;*/
    box-shadow: none!important;
    margin: 0!important;
    /*overflow: visible!important;*/    
    background-color: transparent!important;
}
.login-action-register form {
    /* min-height: 480px; */
}
.login form input[type=text], 
.login form input[type=password],
.login form input[type=email],
.select2 .select2-selection{
    min-height: 36px!important;
    font-size: 15.4px!important;
    font-weight: 300!important;
    font-family: 'Twemoji Country Flags', 'Roboto', sans-serif;
    /*border-radius: 0!important;*/
    color: var(--polynesian-blue)!important;
    background-color: rgba(255,255,255,0.9)!important;
    box-shadow: 0 1px 3px rgba(0, 0, 0, .25)!important;
    border: 1px solid #ffffff!important;
}
.select2 .select2-selection {
    padding: 4px 8px!important;
}

.login form input[type=text]:focus,
.login form input[type=text]:hover,
.login form input[type=password]:focus,
.login form input[type=password]:hover,
.login form input[type=email]:focus,
.login form input[type=email]:hover,
.select2-selection{
    background-color: rgba(255,255,255,1)!important;
}
.login form input[aria-describedby=login_error]{
    /* border-left: 2px solid red!important;*/
}
.forgetmenot {
    color: #fff;
    margin-top: 8px!important;
}
.forgetmenot label {
    display: inline-block!important;
    font-size: 13px!important;
}              
#login h1 a, .login h1 a{    
    height: 140px;
    width: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    padding-bottom: 0px;
    margin-bottom: -20px;
}
#login {
    background-size: cover!important;
    background-repeat: no-repeat!important;
}
.sia-acf-field{
    margin-right: 7px!important;
}
.acf-field input[type=text] {
    
}
#wp-submit {
    font-size: 13px;
    font-family: 'Roboto', sans-serif;
    text-transform: uppercase;
    padding: 2px 22px;
    border: none!important;
    background-color: var(--polynesian-blue);
}
@media(max-height: 767px) {
    html {
        height: initial!important;
    }
}
@media(min-width:1200px) {
    body.login h1 {
        margin-top: 15vh;        
    }
    body.login-action-register h1 {
        margin-top: 8vh;
    }    
    html {
        /* height: 100%; */
    }
    body.login {
        /*background: var(--polynesian-blue)!important;*/
        /*height: 100%; */
    }
    body.login #login {        
        position: relative;
        display: flex;
        flex-direction: column;
        margin: 0 auto!important;
        padding: 0!important;
        /*
        float: right;
        width: 55%!important;
        */
        height: 100%!important;             
    }
    body #login form{
        width: 320px;        
        margin: 0 auto!important;       
    }
    .login p#nav{
        margin-top: 24px!important;
        color: var(--sia-color-2);
    }
    .login p#nav, .login p#backtoblog {
        text-align: center;
    }
    body.login-action-register #login form{
        /* width: 350px!important; */
    }
}